# ISD agent-grpc external IP

Follow the steps below to map ISD agent-grpc service external IP to agent host URL:

1. Prepare a URL for agent grpc IP mapping as per your agent host URL.
2. Map ISD agent-grpc external IP to agent host Url.
3. To get agent-grpc external IP, connect to Kubernetes cluster where you have installed the ISD application and run the below command in your cluster.

   ```
   kubectl get svc -n <ISD NAMESPACE-NAME> | grep grpc
   ```

   <div data-gb-custom-block data-tag="hint" data-style="info" class="hint hint-info"><p><strong>Note:</strong> ISD namespace is the namespace where you have installed your ISD application.</p></div>
4. Edit the controller config map and replace the URL as mentioned below. To edit the config map run the below command.

   ```
   kubectl edit cm opsmx-controller-controller1 -n <ISD NAMESPACE-NAME>
   ```

   Replace the URL in the config map under “**data**” section as mentioned below and save it.

   <pre data-overflow="wrap"><code>data:
     configFile: |
       serviceHostname: opsmx-controller-controller1
       agentHostname: &#x3C;Provide your agent Host url here >
       remoteCommandHostname: &#x3C;Provide your agent Host url here>
       controlHostname: opsmx-controller-controller1
   </code></pre>
5. Restart the controller pod using the command below.

   <pre data-overflow="wrap"><code>kubectl rollout restart deploy opsmx-controller-controller1 -n &#x3C;ISD NAMESPACE-NAME>
   </code></pre>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.opsmx.com/opsmx-1/opsmx-intelligent-software-delivery-isd-platform-argo/additional-resources/isd-agent-grpc-external-ip.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
